
clc; clear;
addpath('ADD_PATH_HERE\Workfiles');
addpath('ADD_PATH_HERE\Scripts');

load 82_13_sample

table_dmts_sm_gdp = nan(6,9);
table_dmts_ms_gdp = nan(6,9);

table_dmts_sm_inf = nan(6,9);
table_dmts_ms_inf = nan(6,9);

table_dmts_sm_br = nan(6,9);
table_dmts_ms_br = nan(6,9);

%% Test if Staff encompasses the models

% GDP

table_dmts_sm_gdp(2,:) = hln_staff_model_stats.AR4.ly.jump_m1;
table_dmts_sm_gdp(3,:) = hln_staff_model_stats.AORW4.ly.jump_m1;
table_dmts_sm_gdp(4,:) = hln_staff_model_stats.MS2AR4.ly.jump_m1;
table_dmts_sm_gdp(5,:) = hln_staff_model_stats.UCSV.ly.jump_m1;
table_dmts_sm_gdp(6,:) = hln_staff_model_stats.VAR.ly.jump_m1;


% Inflation

table_dmts_sm_inf(2,:) = hln_staff_model_stats.AR4.lpcpi.jump_m1;
table_dmts_sm_inf(3,:) = hln_staff_model_stats.AORW4.lpcpi.jump_m1;
table_dmts_sm_inf(4,:) = hln_staff_model_stats.MS2AR4.lpcpi.jump_m1;
table_dmts_sm_inf(5,:) = hln_staff_model_stats.UCSV.lpcpi.jump_m1;
table_dmts_sm_inf(6,:) = hln_staff_model_stats.VAR.lpcpi.jump_m1;



% Bankrate

table_dmts_sm_br(2,:) = hln_staff_model_stats.AR4.bankrate.jump_m1;
table_dmts_sm_br(3,:) = hln_staff_model_stats.RW.bankrate.jump_m1;
table_dmts_sm_br(4,:) = hln_staff_model_stats.MS2AR4.bankrate.jump_m1;
table_dmts_sm_br(5,:) = hln_staff_model_stats.UCSV.bankrate.jump_m1;
table_dmts_sm_br(6,:) = hln_staff_model_stats.VAR.bankrate.jump_m1;



%% Test if the models encompass the Staff


% GDP

table_dmts_ms_gdp(2,:) = hln_model_staff_stats.AR4.ly.jump_m1;
table_dmts_ms_gdp(3,:) = hln_model_staff_stats.AORW4.ly.jump_m1;
table_dmts_ms_gdp(4,:) = hln_model_staff_stats.MS2AR4.ly.jump_m1;
table_dmts_ms_gdp(5,:) = hln_model_staff_stats.UCSV.ly.jump_m1;
table_dmts_ms_gdp(6,:) = hln_model_staff_stats.VAR.ly.jump_m1;


% Inflation

table_dmts_ms_inf(2,:) = hln_model_staff_stats.AR4.lpcpi.jump_m1;
table_dmts_ms_inf(3,:) = hln_model_staff_stats.AORW4.lpcpi.jump_m1;
table_dmts_ms_inf(4,:) = hln_model_staff_stats.MS2AR4.lpcpi.jump_m1;
table_dmts_ms_inf(5,:) = hln_model_staff_stats.UCSV.lpcpi.jump_m1;
table_dmts_ms_inf(6,:) = hln_model_staff_stats.VAR.lpcpi.jump_m1;



% Bankrate

table_dmts_ms_br(2,:) = hln_model_staff_stats.AR4.bankrate.jump_m1;
table_dmts_ms_br(3,:) = hln_model_staff_stats.RW.bankrate.jump_m1;
table_dmts_ms_br(4,:) = hln_model_staff_stats.MS2AR4.bankrate.jump_m1;
table_dmts_ms_br(5,:) = hln_model_staff_stats.UCSV.bankrate.jump_m1;
table_dmts_ms_br(6,:) = hln_model_staff_stats.VAR.bankrate.jump_m1;



table_dmts_sm_gdp
table_dmts_sm_inf
table_dmts_sm_br

table_dmts_ms_gdp
table_dmts_ms_inf
table_dmts_ms_br